M0Trigger7 = { CPos.New(14,18) }
M0Trigger8 = { CPos.New(14,23) }
M0Trigger9 = { CPos.New(18,18) }
M0Trigger10 = { CPos.New(18,23) }


M1Trigger7 = { CPos.New(14,33) }
M1Trigger8 = { CPos.New(14,38) }
M1Trigger9 = { CPos.New(18,33) }
M1Trigger10 = { CPos.New(18,38) }


M2Trigger7 = { CPos.New(42,18) }
M2Trigger8 = { CPos.New(42,23) }
M2Trigger9 = { CPos.New(38,18) }
M2Trigger10 = { CPos.New(38,23) }




M3Trigger7 = { CPos.New(42,33) }
M3Trigger8 = { CPos.New(42,38) }
M3Trigger9 = { CPos.New(38,33) }
M3Trigger10 = { CPos.New(38,38) }

M02tnkCounter =0
M0Max2tnk = 2
M0artyCounter = 0
M0Maxarty = 2
M0mechCounter =0
M0Maxmech = 2
M0hindCounter =0
M0Maxhind = 1

M12tnkCounter =0
M1Max2tnk = 2
M1artyCounter = 0
M1Maxarty = 2
M1mechCounter =0
M1Maxmech = 2
M1hindCounter =0
M1Maxhind = 1

M22tnkCounter =0
M2Max2tnk = 2
M2artyCounter = 0
M2Maxarty = 2
M2mechCounter =0
M2Maxmech = 2
M2hindCounter =0
M2Maxhind = 1

M32tnkCounter =0
M3Max2tnk = 2
M3artyCounter = 0
M3Maxarty = 2
M3mechCounter =0
M3Maxmech = 2
M3hindCounter =0
M3Maxhind = 1

M03tnkCounter =0
M0Max3tnk = 2
M0v2rlCounter = 0
M0Maxv2rl = 2
M0e2Counter =0
M0Maxe2 = 2
M0yakCounter =0
M0Maxyak = 1

M13tnkCounter =0
M1Max3tnk = 2
M1v2rlCounter = 0
M1Maxv2rl = 2
M1e2Counter =0
M1Maxe2 = 2
M1yakCounter =0
M1Maxyak = 1

M23tnkCounter =0
M2Max3tnk = 2
M2v2rlCounter = 0
M2Maxv2rl = 2
M2e2Counter =0
M2Maxe2 = 2
M2yakCounter =0
M2Maxyak = 1

M33tnkCounter =0
M3Max3tnk = 2
M3v2rlCounter = 0
M3Maxv2rl = 2
M3e2Counter =0
M3Maxe2 = 2
M3yakCounter =0
M3Maxyak = 1
-- ALLIES

CreateM0Allies2 = function()
	newactor = Actor.Create("2tnkpic", true, { Location = CPos.New(14,16), Owner = Multi0 })
	newactor = Actor.Create("2tnktrigger", true, { Location = CPos.New(14,15), Owner = Multi0 })

	newactor = Actor.Create("artypic", true, { Location = CPos.New(14,25), Owner = Multi0 })
	newactor = Actor.Create("artytrigger", true, { Location = CPos.New(14,28), Owner = Multi0 })

	newactor = Actor.Create("mechpic", true, { Location = CPos.New(17,16), Owner = Multi0 })
	newactor = Actor.Create("mrjpic", true, { Location = CPos.New(18,17), Owner = Multi0 })
	newactor = Actor.Create("mnlypic", true, { Location = CPos.New(19,16), Owner = Multi0 })
	newactor = Actor.Create("mechtrigger", true, { Location = CPos.New(18,15), Owner = Multi0 })

	newactor = Actor.Create("hindpic", true, { Location = CPos.New(18,25), Owner = Multi0 })
	newactor = Actor.Create("hpadpic", true, { Location = CPos.New(18,25), Owner = Multi0 })
	newactor = Actor.Create("hindtrigger", true, { Location = CPos.New(18,28), Owner = Multi0 })
	if not M0Allies2Triggers then
		M0Allies2Triggers = true
		Trigger.OnEnteredFootprint(M0Trigger7, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M02tnkCounter = M02tnkCounter +1
				if M0Max2tnk == M02tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(14,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chose2tnk()
			end
		end)
		Trigger.OnEnteredFootprint(M0Trigger8, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0artyCounter = M0artyCounter +1
				if M0Maxarty == M0artyCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(14,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chosearty()
			end
		end)
	

		Trigger.OnEnteredFootprint(M0Trigger9, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0mechCounter = M0mechCounter +1
				if M0Maxmech == M0mechCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(18,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chosemech()
			end
		end)
		Trigger.OnEnteredFootprint(M0Trigger10, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0hindCounter = M0hindCounter +1
				if M0Maxhind == M0hindCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(18,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chosehind()
			end
		end)
	end
end


CreateM1Allies2 = function()

	newactor = Actor.Create("2tnkpic", true, { Location = CPos.New(14,31), Owner = Multi1 })
	newactor = Actor.Create("2tnktrigger", true, { Location = CPos.New(14,30), Owner = Multi1 })

	newactor = Actor.Create("artypic", true, { Location = CPos.New(14,40), Owner = Multi1 })
	newactor = Actor.Create("artytrigger", true, { Location = CPos.New(14,43), Owner = Multi1 })

	newactor = Actor.Create("mechpic", true, { Location = CPos.New(17,31), Owner = Multi1 })
	newactor = Actor.Create("mrjpic", true, { Location = CPos.New(18,32), Owner = Multi1 })
	newactor = Actor.Create("mnlypic", true, { Location = CPos.New(19,31), Owner = Multi1 })
	newactor = Actor.Create("mechtrigger", true, { Location = CPos.New(18,30), Owner = Multi1 })

	newactor = Actor.Create("hindpic", true, { Location = CPos.New(18,40), Owner = Multi1 })
	newactor = Actor.Create("hpadpic", true, { Location = CPos.New(18,40), Owner = Multi1 })
	newactor = Actor.Create("hindtrigger", true, { Location = CPos.New(18,43), Owner = Multi1 })
	if not M1Allies2Triggers then
		M1Allies2Triggers = true
		Trigger.OnEnteredFootprint(M1Trigger7, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M12tnkCounter = M12tnkCounter +1
				if M1Max2tnk == M12tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(14,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chose2tnk()
			end
		end)
		Trigger.OnEnteredFootprint(M1Trigger8, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1artyCounter = M1artyCounter +1
				if M1Maxarty == M1artyCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(14,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chosearty()
			end
		end)


		Trigger.OnEnteredFootprint(M1Trigger9, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1mechCounter = M1mechCounter +1
				if M1Maxmech == M1mechCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(18,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chosemech()
			end
		end)
		Trigger.OnEnteredFootprint(M1Trigger10, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1hindCounter = M1hindCounter +1
				if M1Maxhind == M1hindCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(18,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chosehind()
			end
		end)
	end
end



CreateM2Allies2 = function()

	newactor = Actor.Create("2tnkpic", true, { Location = CPos.New(42,16), Owner = Multi2 })
	newactor = Actor.Create("2tnktrigger", true, { Location = CPos.New(42,15), Owner = Multi2 })

	newactor = Actor.Create("artypic", true, { Location = CPos.New(42,25), Owner = Multi2 })
	newactor = Actor.Create("artytrigger", true, { Location = CPos.New(42,28), Owner = Multi2 })

	newactor = Actor.Create("mechpic", true, { Location = CPos.New(37,16), Owner = Multi2 })
	newactor = Actor.Create("mrjpic", true, { Location = CPos.New(38,17), Owner = Multi2 })
	newactor = Actor.Create("mnlypic", true, { Location = CPos.New(39,16), Owner = Multi2 })
	newactor = Actor.Create("mechtrigger", true, { Location = CPos.New(38,15), Owner = Multi2 })

	newactor = Actor.Create("hindpic", true, { Location = CPos.New(38,25), Owner = Multi2 })
	newactor = Actor.Create("hpadpic", true, { Location = CPos.New(38,25), Owner = Multi2 })
	newactor = Actor.Create("hindtrigger", true, { Location = CPos.New(38,28), Owner = Multi2 })
	if not M2Allies2Triggers then
		M2Allies2Triggers = true
		Trigger.OnEnteredFootprint(M2Trigger7, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M22tnkCounter = M22tnkCounter +1
				if M2Max2tnk == M22tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(42,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chose2tnk()
			end
		end)
		Trigger.OnEnteredFootprint(M2Trigger8, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2artyCounter = M2artyCounter +1
				if M2Maxarty == M2artyCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(42,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chosearty()
			end
		end)


		Trigger.OnEnteredFootprint(M2Trigger9, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2mechCounter = M2mechCounter +1
				if M2Maxmech == M2mechCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(38,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chosemech()
			end
		end)
		Trigger.OnEnteredFootprint(M2Trigger10, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2hindCounter = M2hindCounter +1
				if M2Maxhind == M2hindCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(38,23), Owner = France })

				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chosehind()
			end
		end)
	end
end



CreateM3Allies2 = function()

	newactor = Actor.Create("2tnkpic", true, { Location = CPos.New(42,31), Owner = Multi3 })
	newactor = Actor.Create("2tnktrigger", true, { Location = CPos.New(42,30), Owner = Multi3 })

	newactor = Actor.Create("artypic", true, { Location = CPos.New(42,40), Owner = Multi3 })
	newactor = Actor.Create("artytrigger", true, { Location = CPos.New(42,43), Owner = Multi3 })

	newactor = Actor.Create("mechpic", true, { Location = CPos.New(37,31), Owner = Multi3 })
	newactor = Actor.Create("mrjpic", true, { Location = CPos.New(38,32), Owner = Multi3 })
	newactor = Actor.Create("mnlypic", true, { Location = CPos.New(39,31), Owner = Multi3 })
	newactor = Actor.Create("mechtrigger", true, { Location = CPos.New(38,30), Owner = Multi3 })

	newactor = Actor.Create("hindpic", true, { Location = CPos.New(38,40), Owner = Multi3 })
	newactor = Actor.Create("hpadpic", true, { Location = CPos.New(38,40), Owner = Multi3 })
	newactor = Actor.Create("hindtrigger", true, { Location = CPos.New(38,43), Owner = Multi3 })

	if not M3Allies2Triggers then
		M3Allies2Triggers = true
		Trigger.OnEnteredFootprint(M3Trigger7, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M32tnkCounter = M32tnkCounter +1
				if M3Max2tnk == M32tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(42,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chose2tnk()
			end
		end)
		Trigger.OnEnteredFootprint(M3Trigger8, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3artyCounter = M3artyCounter +1
				if M3Maxarty == M3artyCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(42,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chosearty()
			end
		end)


		Trigger.OnEnteredFootprint(M3Trigger9, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3mechCounter = M3mechCounter +1
				if M3Maxmech == M3mechCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(38,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chosemech()
			end
		end)
		Trigger.OnEnteredFootprint(M3Trigger10, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3hindCounter = M3hindCounter +1
				if M3Maxhind == M3hindCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(38,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chosehind()
			end
		end)
	end
end

-- Multi0
--      Allies

M02tnkcounter = 0
M0Chose2tnk = function()
	if M02tnkcounter < 4 then
		newactor = Actor.Create("2tnk", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()

		M02tnkcounter = M02tnkcounter +1
		M0Chose2tnk()
	elseif M02tnkcounter == 4 then
		M02tnkcounter = 0
	end
end

M0artycounter = 0
M0Chosearty = function()
	if M0artycounter < 5 then
		newactor = Actor.Create("arty", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
		M0artycounter = M0artycounter +1
		M0Chosearty()
	elseif M0artycounter == 5 then
		M0artycounter = 0
	end
end


M0Chosemech = function()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mrj", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mrj", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mnly", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor.AddTag("crushingunit")
	newactor = Actor.Create("mnly", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor.AddTag("crushingunit")
end

M0hindcounter = 0
M0Chosehind = function()
	if M0hindcounter < 3 then
		newactor = Actor.Create("hind", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany })
		M0hindcounter = M0hindcounter +1
		M0Chosehind()
	elseif M0hindcounter == 3 then
		M0hindcounter = 0
	end
	if not M0hpad1 then
		M0hpad1 = true
		newactor = Actor.Create("norehpad", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Multi0 })
	end
end

M12tnkcounter = 0
M1Chose2tnk = function()
	if M12tnkcounter < 4 then
		newactor = Actor.Create("2tnk", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()

		M12tnkcounter = M12tnkcounter +1
		M1Chose2tnk()
	elseif M12tnkcounter == 4 then
		M12tnkcounter = 0
	end
end

M1artycounter = 0
M1Chosearty = function()
	if M1artycounter < 5 then
		newactor = Actor.Create("arty", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
		M1artycounter = M1artycounter +1
		M1Chosearty()
	elseif M1artycounter == 5 then
		M1artycounter = 0
	end
end


M1Chosemech = function()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mrj", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mrj", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mnly", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor.AddTag("crushingunit")
	newactor = Actor.Create("mnly", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor.AddTag("crushingunit")
end

M1hindcounter = 0
M1Chosehind = function()
	if M1hindcounter < 3 then
		newactor = Actor.Create("hind", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England })
		M1hindcounter = M1hindcounter +1
		M1Chosehind()
	elseif M1hindcounter == 3 then
		M1hindcounter = 0
	end
	if not M1hpad1 then
		M1hpad1 = true
		newactor = Actor.Create("norehpad", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Multi1 })
	end
end



M22tnkcounter = 0
M2Chose2tnk = function()
	if M22tnkcounter < 4 then
		newactor = Actor.Create("2tnk", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()

		M22tnkcounter = M22tnkcounter +1
		M2Chose2tnk()
	elseif M22tnkcounter == 4 then
		M22tnkcounter = 0
	end
end

M2artycounter = 0
M2Chosearty = function()
	if M2artycounter < 5 then
		newactor = Actor.Create("arty", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
		M2artycounter = M2artycounter +1
		M2Chosearty()
	elseif M2artycounter == 5 then
		M2artycounter = 0
	end
end


M2Chosemech = function()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mrj", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mrj", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mnly", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor.AddTag("crushingunit")
	newactor = Actor.Create("mnly", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor.AddTag("crushingunit")
end

M2hindcounter = 0
M2Chosehind = function()
	if M2hindcounter < 3 then
		newactor = Actor.Create("hind", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia })
		M2hindcounter = M2hindcounter +1
		M2Chosehind()
	elseif M2hindcounter == 3 then
		M2hindcounter = 0
	end
	if not M2hpad1 then
		M2hpad1 = true
		newactor = Actor.Create("norehpad", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Multi2 })
	end
end

M32tnkcounter = 0
M3Chose2tnk = function()
	if M32tnkcounter < 4 then
		newactor = Actor.Create("2tnk", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()

		M32tnkcounter = M32tnkcounter +1
		M3Chose2tnk()
	elseif M32tnkcounter == 4 then
		M32tnkcounter = 0
	end
end

M3artycounter = 0
M3Chosearty = function()
	if M3artycounter < 5 then
		newactor = Actor.Create("arty", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
		M3artycounter = M3artycounter +1
		M3Chosearty()
	elseif M3artycounter == 5 then
		M3artycounter = 0
	end
end


M3Chosemech = function()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mech", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mrj", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mrj", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mnly", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor.AddTag("crushingunit")
	newactor = Actor.Create("mnly", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor.AddTag("crushingunit")
end

M3hindcounter = 0
M3Chosehind = function()
	if M3hindcounter < 3 then
		newactor = Actor.Create("hind", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine })
		M3hindcounter = M3hindcounter +1
		M3Chosehind()
	elseif M3hindcounter == 3 then
		M3hindcounter = 0
	end
	if not M3hpad1 then
		M3hpad1 = true
		newactor = Actor.Create("norehpad", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Multi3 })
	end
end

--   SOVIET


CreateM0Soviet2 = function()
	newactor = Actor.Create("3tnkpic", true, { Location = CPos.New(14,16), Owner = Multi0 })
	newactor = Actor.Create("3tnktrigger", true, { Location = CPos.New(14,15), Owner = Multi0 })

	newactor = Actor.Create("v2rlpic", true, { Location = CPos.New(14,25), Owner = Multi0 })
	newactor = Actor.Create("v2rltrigger", true, { Location = CPos.New(14,28), Owner = Multi0 })

	newactor = Actor.Create("e2pic", true, { Location = CPos.New(17,16), Owner = Multi0 })
	newactor = Actor.Create("hijackerpic", true, { Location = CPos.New(18,17), Owner = Multi0 })
	newactor = Actor.Create("mnlypic", true, { Location = CPos.New(19,16), Owner = Multi0 })
	newactor = Actor.Create("e2trigger", true, { Location = CPos.New(18,15), Owner = Multi0 })

	newactor = Actor.Create("yakpic", true, { Location = CPos.New(18,25), Owner = Multi0 })
	newactor = Actor.Create("afldpic", true, { Location = CPos.New(18,25), Owner = Multi0 })
	newactor = Actor.Create("yaktrigger", true, { Location = CPos.New(18,28), Owner = Multi0 })
	if not M0Soviet2Triggers then
		M0Soviet2Triggers = true
		Trigger.OnEnteredFootprint(M0Trigger7, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M03tnkCounter = M03tnkCounter +1
				if M0Max3tnk == M03tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(14,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chose3tnk()
			end
		end)
		Trigger.OnEnteredFootprint(M0Trigger8, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0v2rlCounter = M0v2rlCounter +1
				if M0Maxv2rl == M0v2rlCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(14,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chosev2rl()
			end
		end)


		Trigger.OnEnteredFootprint(M0Trigger9, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0e2Counter = M0e2Counter +1
				if M0Maxe2 == M0e2Counter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(18,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Chosee2()
			end
		end)
		Trigger.OnEnteredFootprint(M0Trigger10, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M0yakCounter = M0yakCounter +1
				if M0Maxyak == M0yakCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(18,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi0.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M0Choseyak()
			end
		end)
	end
end



CreateM1Soviet2 = function()

	newactor = Actor.Create("3tnkpic", true, { Location = CPos.New(14,31), Owner = Multi1 })
	newactor = Actor.Create("3tnktrigger", true, { Location = CPos.New(14,30), Owner = Multi1 })

	newactor = Actor.Create("v2rlpic", true, { Location = CPos.New(14,40), Owner = Multi1 })
	newactor = Actor.Create("v2rltrigger", true, { Location = CPos.New(14,43), Owner = Multi1 })

	newactor = Actor.Create("e2pic", true, { Location = CPos.New(17,31), Owner = Multi1 })
	newactor = Actor.Create("hijackerpic", true, { Location = CPos.New(18,32), Owner = Multi1 })
	newactor = Actor.Create("mnlypic", true, { Location = CPos.New(19,31), Owner = Multi1 })
	newactor = Actor.Create("e2trigger", true, { Location = CPos.New(18,30), Owner = Multi1 })

	newactor = Actor.Create("yakpic", true, { Location = CPos.New(18,40), Owner = Multi1 })
	newactor = Actor.Create("afldpic", true, { Location = CPos.New(18,40), Owner = Multi1 })
	newactor = Actor.Create("yaktrigger", true, { Location = CPos.New(18,43), Owner = Multi1 })
	if not M1Soviet2Triggers then
		M1Soviet2Triggers = true
		Trigger.OnEnteredFootprint(M1Trigger7, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M13tnkCounter = M13tnkCounter +1
				if M1Max3tnk == M13tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(14,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chose3tnk()
			end
		end)
		Trigger.OnEnteredFootprint(M1Trigger8, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1v2rlCounter = M1v2rlCounter +1
				if M1Maxv2rl == M1v2rlCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(14,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chosev2rl()
			end
		end)


		Trigger.OnEnteredFootprint(M1Trigger9, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1e2Counter = M1e2Counter +1
				if M1Maxe2 == M1e2Counter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(18,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Chosee2()
			end
		end)
		Trigger.OnEnteredFootprint(M1Trigger10, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M1yakCounter = M1yakCounter +1
				if M1Maxyak == M1yakCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(18,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi1.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M1Choseyak()
			end
		end)
	end
end



CreateM2Soviet2 = function()

	newactor = Actor.Create("3tnkpic", true, { Location = CPos.New(42,16), Owner = Multi2 })
	newactor = Actor.Create("3tnktrigger", true, { Location = CPos.New(42,15), Owner = Multi2 })

	newactor = Actor.Create("v2rlpic", true, { Location = CPos.New(42,25), Owner = Multi2 })
	newactor = Actor.Create("v2rltrigger", true, { Location = CPos.New(42,28), Owner = Multi2 })

	newactor = Actor.Create("e2pic", true, { Location = CPos.New(37,16), Owner = Multi2 })
	newactor = Actor.Create("hijackerpic", true, { Location = CPos.New(38,17), Owner = Multi2 })
	newactor = Actor.Create("mnlypic", true, { Location = CPos.New(39,16), Owner = Multi2 })
	newactor = Actor.Create("e2trigger", true, { Location = CPos.New(38,15), Owner = Multi2 })

	newactor = Actor.Create("yakpic", true, { Location = CPos.New(38,25), Owner = Multi2 })
	newactor = Actor.Create("afldpic", true, { Location = CPos.New(38,25), Owner = Multi2 })
	newactor = Actor.Create("yaktrigger", true, { Location = CPos.New(38,28), Owner = Multi2 })
	if not M2Soviet2Triggers then
		M2Soviet2Triggers = true
		Trigger.OnEnteredFootprint(M2Trigger7, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M23tnkCounter = M23tnkCounter +1
				if M2Max3tnk == M23tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(42,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chose3tnk()
			end
		end)
		Trigger.OnEnteredFootprint(M2Trigger8, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2v2rlCounter = M2v2rlCounter +1
				if M2Maxv2rl == M2v2rlCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(42,23), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chosev2rl()
			end
		end)


		Trigger.OnEnteredFootprint(M2Trigger9, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2e2Counter = M2e2Counter +1
				if M2Maxe2 == M2e2Counter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(38,18), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Chosee2()
			end
		end)
		Trigger.OnEnteredFootprint(M2Trigger10, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M2yakCounter = M2yakCounter +1
				if M2Maxyak == M2yakCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(38,23), Owner = France })
	
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi2.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M2Choseyak()
			end
		end)
	end
end



CreateM3Soviet2 = function()

	newactor = Actor.Create("3tnkpic", true, { Location = CPos.New(42,31), Owner = Multi3 })
	newactor = Actor.Create("3tnktrigger", true, { Location = CPos.New(42,30), Owner = Multi3 })

	newactor = Actor.Create("v2rlpic", true, { Location = CPos.New(42,40), Owner = Multi3 })
	newactor = Actor.Create("v2rltrigger", true, { Location = CPos.New(42,43), Owner = Multi3 })

	newactor = Actor.Create("e2pic", true, { Location = CPos.New(37,31), Owner = Multi3 })
	newactor = Actor.Create("hijackerpic", true, { Location = CPos.New(38,32), Owner = Multi3 })
	newactor = Actor.Create("mnlypic", true, { Location = CPos.New(39,31), Owner = Multi3 })
	newactor = Actor.Create("e2trigger", true, { Location = CPos.New(38,30), Owner = Multi3 })

	newactor = Actor.Create("yakpic", true, { Location = CPos.New(38,40), Owner = Multi3 })
	newactor = Actor.Create("afldpic", true, { Location = CPos.New(38,40), Owner = Multi3 })
	newactor = Actor.Create("yaktrigger", true, { Location = CPos.New(38,43), Owner = Multi3 })
	if not M3Soviet2Triggers then
		M3Soviet2Triggers = true
		Trigger.OnEnteredFootprint(M3Trigger7, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M33tnkCounter = M33tnkCounter +1
				if M3Max3tnk == M33tnkCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(42,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chose3tnk()
			end
		end)
		Trigger.OnEnteredFootprint(M3Trigger8, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3v2rlCounter = M3v2rlCounter +1
				if M3Maxv2rl == M3v2rlCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(42,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chosev2rl()
			end
		end)


		Trigger.OnEnteredFootprint(M3Trigger9, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3e2Counter = M3e2Counter +1
				if M3Maxe2 == M3e2Counter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(38,33), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Chosee2()
			end
		end)
		Trigger.OnEnteredFootprint(M3Trigger10, function(a, id)
			if a.Type == "truk" and a.Owner ~= Golden then
				M3yakCounter = M3yakCounter +1
				if M3Maxyak == M3yakCounter then
					newactor = Actor.Create("nix01", true, { Location = CPos.New(38,38), Owner = France })
				end
				Media.FloatingText("$", a.CenterPosition, 35, Multi3.Color)
				a.Owner = Golden
				a.Stop()
				a.Destroy()
				M3Choseyak()
			end
		end)
	end
end

-- Multi0




M03tnkcounter = 0
M0Chose3tnk = function()
	if M03tnkcounter < 3 then
		newactor = Actor.Create("3tnk", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()

		M03tnkcounter = M03tnkcounter +1
		M0Chose3tnk()
	elseif M03tnkcounter == 3 then
		M03tnkcounter = 0
	end
end

M0v2rlcounter = 0
M0Chosev2rl = function()
	if M0v2rlcounter < 5 then
		newactor = Actor.Create("v2rl", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
		M0v2rlcounter = M0v2rlcounter +1
		M0Chosev2rl()
	elseif M0v2rlcounter == 5 then
		M0v2rlcounter = 0
	end
end


M0Chosee2 = function()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor = Actor.Create("mnly", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor.AddTag("crushingunit")
	newactor = Actor.Create("mnly", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) newactor.Scatter()
	newactor.AddTag("crushingunit")
end

M0yakcounter = 0
M0Choseyak = function()
	if M0yakcounter < 3 then
		newyak = Actor.Create("yak", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Germany }) 
		M0yakcounter = M0yakcounter +1
		M0Choseyak()
	elseif M0yakcounter == 3 then
		M0yakcounter = 0
	end
	if not M0afld1 then
		M0afld1 = true
		newactor = Actor.Create("noreafld", true, { Location = CPos.New(3,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Multi0 })
	end
end

M13tnkcounter = 0
M1Chose3tnk = function()
	if M13tnkcounter < 3 then
		newactor = Actor.Create("3tnk", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()

		M13tnkcounter = M13tnkcounter +1
		M1Chose3tnk()
	elseif M13tnkcounter == 3 then
		M13tnkcounter = 0
	end
end

M1v2rlcounter = 0
M1Chosev2rl = function()
	if M1v2rlcounter < 5 then
		newactor = Actor.Create("v2rl", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
		M1v2rlcounter = M1v2rlcounter +1
		M1Chosev2rl()
	elseif M1v2rlcounter == 5 then
		M1v2rlcounter = 0
	end
end


M1Chosee2 = function()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor = Actor.Create("mnly", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor.AddTag("crushingunit")
	newactor = Actor.Create("mnly", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England }) newactor.Scatter()
	newactor.AddTag("crushingunit")
end

M1yakcounter = 0
M1Choseyak = function()
	if M1yakcounter < 3 then
		newactor = Actor.Create("yak", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = England })
		M1yakcounter = M1yakcounter +1
		M1Choseyak()
	elseif M1yakcounter == 3 then
		M1yakcounter = 0
	end
	if not M1afld1 then
		M1afld1 = true
		newactor = Actor.Create("noreafld", true, { Location = CPos.New(3,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Multi1 })
	end
end



M23tnkcounter = 0
M2Chose3tnk = function()
	if M23tnkcounter < 3 then
		newactor = Actor.Create("3tnk", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()

		M23tnkcounter = M23tnkcounter +1
		M2Chose3tnk()
	elseif M23tnkcounter == 3 then
		M23tnkcounter = 0
	end
end

M2v2rlcounter = 0
M2Chosev2rl = function()
	if M2v2rlcounter < 5 then
		newactor = Actor.Create("v2rl", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
		M2v2rlcounter = M2v2rlcounter +1
		M2Chosev2rl()
	elseif M2v2rlcounter == 5 then
		M2v2rlcounter = 0
	end
end


M2Chosee2 = function()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor = Actor.Create("mnly", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor.AddTag("crushingunit")
	newactor = Actor.Create("mnly", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia }) newactor.Scatter()
	newactor.AddTag("crushingunit")
end

M2yakcounter = 0
M2Choseyak = function()
	if M2yakcounter < 3 then
		newactor = Actor.Create("yak", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Russia })
		M2yakcounter = M2yakcounter +1
		M2Choseyak()
	elseif M2yakcounter == 3 then
		M2yakcounter = 0
	end
	if not M2afld1 then
		M2afld1 = true
		newactor = Actor.Create("noreafld", true, { Location = CPos.New(37,3) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Multi2 })
	end
end

M33tnkcounter = 0
M3Chose3tnk = function()
	if M33tnkcounter < 3 then
		newactor = Actor.Create("3tnk", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()

		M33tnkcounter = M33tnkcounter +1
		M3Chose3tnk()
	elseif M33tnkcounter == 3 then
		M33tnkcounter = 0
	end
end

M3v2rlcounter = 0
M3Chosev2rl = function()
	if M3v2rlcounter < 5 then
		newactor = Actor.Create("v2rl", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
		M3v2rlcounter = M3v2rlcounter +1
		M3Chosev2rl()
	elseif M3v2rlcounter == 5 then
		M3v2rlcounter = 0
	end
end


M3Chosee2 = function()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("e2", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("thf", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor = Actor.Create("mnly", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor.AddTag("crushingunit")
	newactor = Actor.Create("mnly", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine }) newactor.Scatter()
	newactor.AddTag("crushingunit")
end

M3yakcounter = 0
M3Choseyak = function()
	if M3yakcounter < 3 then
		newactor = Actor.Create("yak", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Ukraine })
		M3yakcounter = M3yakcounter +1
		M3Choseyak()
	elseif M3yakcounter == 3 then
		M3yakcounter = 0
	end
	if not M3afld1 then
		M3afld1 = true
		newactor = Actor.Create("noreafld", true, { Location = CPos.New(37,46) + CVec.New(Utils.RandomInteger(0, 17), Utils.RandomInteger(0, 8)), Owner = Multi3 })
	end
end


